// Header Search Start

function openPopUp() {
    document.getElementById("myOverlay").style.display = "none";
    jQuery("#myOverlay").fadeIn(500);
}

function closePopUp() {
    document.getElementById("myOverlay").style.display = "none";
    jQuery("#myOverlay").fadeOut(500);
}

jQuery(document).ready(function () {
    jQuery(".header-search-button button").click(function () {
        jQuery("body").css("overflow", "hidden");
    });
});

jQuery(document).ready(function () {
    jQuery(".overlay .closebtn").click(function () {
        jQuery("body").css("overflow", "inherit");
    });
});

jQuery(document).ready( function(){
	// accordion
    jQuery('.accordion-box .acc-content').hide();
    jQuery('.accordion-box h2:first').addClass('active').next().show();
    jQuery('.accordion-box h2').click(function(){
        if( jQuery(this).next().is(':hidden') ) {
            jQuery('.accordion-box h2').removeClass('active').next().slideUp();
            jQuery(this).toggleClass('active').next().slideDown();
        }
        return false; // Prevent the browser jump to the link anchor
    });
	
	// Tabs
	jQuery('ul.tabs > br').remove();
	jQuery('.tabs-wrapper').append(jQuery('.tabs li div'));
	jQuery('.tabs li:first a').addClass('defaulttab selected');
	jQuery('.tabs a').click(function(){
		switch_tabs(jQuery(this));
	});
	switch_tabs(jQuery('.defaulttab'));
	function switch_tabs(obj) {
		jQuery('.tab-content').hide();
		jQuery('.tabs a').removeClass("selected");
		var id = obj.attr("rel");
		jQuery('#'+id).show();
		obj.addClass("selected");
	}

	// Content Toggle
    jQuery(".slide_toggle_content").hide();
	    jQuery('h3.slide_toggle').click(function(){
        if( jQuery(this).next().is(':hidden') ) {
            jQuery('h3.slide_toggle').removeClass('active').next().slideUp();
            jQuery(this).toggleClass('active').next().slideDown();
        }
        return false; // Prevent the browser jump to the link anchor
    });

});
 
// NAVIGATION CALLBACK
var ww = jQuery(window).width();
jQuery(document).ready(function() { 
	jQuery(".sitenav li a").each(function() {
		if (jQuery(this).next().length > 0) {
			jQuery(this).addClass("parent");
		};
	})
	
	jQuery(".sitenav li a").each(function() {
		if (jQuery(this).next().length > 0) {
			jQuery(this).addClass("parent-2");
		};
	})
	
	jQuery(".toggleMenu").click(function(e) { 
		e.preventDefault();
		jQuery(this).toggleClass("active");
		jQuery(".sitenav").slideToggle('fast');
	});
	adjustMenu();
})

// navigation orientation resize callbak
jQuery(window).bind('resize orientationchange', function() {
	ww = jQuery(window).width();
	adjustMenu();
});

jQuery(document).ready(function() {
  	jQuery('.srchicon').click(function() {
			jQuery('.searchtop').toggle();
			jQuery('.topsocial').toggle();
		});	
});

// skill bar script
jQuery(document).ready(function() {
	jQuery('.skillbar').each(function(){
		jQuery(this).find('.skillbar-bar').animate({
			width:jQuery(this).attr('data-percent')
		},6000);
	});
});

jQuery(document).ready(function(){
	// hide #back-top first
	jQuery("#back-top").hide();	
	// fade in #back-top
	jQuery(function () {
		jQuery(window).scroll(function () {
			if (jQuery(this).scrollTop() > 0) {
				jQuery('#back-top').fadeIn();
			} else {
				jQuery('#back-top').fadeOut();
			}
		});
		// scroll body to 0px on click
		jQuery('#back-top').click(function () {
			jQuery('body,html').animate({
				scrollTop: 0
			}, 500);
			return false;
		});
	});

});

jQuery(document).ready(function( jQuery ) {
	jQuery('.counter').counterUp({
		delay: 10,
		time: 1000
	});
});


jQuery(document).ready(function() {
	jQuery('.show-date').each(function () {
	  var cal = jQuery(this); 
	  var texts = jQuery(this).text().split(" ");
	  cal.empty();                   
	  jQuery.each(texts,function (i, text) {
		cal.append('<span class="' + (i == 1 ? "eventdate" : "year") + '" >'+text+'</span>');
	  });
	});
});

jQuery(document).ready(function($){
	$('.top4box h4, .offering-services-title h4').html(function(i, h){
		return h.replace(/\w+\s/, function(firstWord){
		  return '<span>' + firstWord + '</span>';
		}); 
	});
});

jQuery(document).ready(function($){
	$('.natural-count h6, .top4box h4').html(function(){	
		var text= $(this).text().split(' ');
		var last = text.pop();
		return text.join(" ") + (text.length > 0 ? ' <span>'+last+'</span>' : last);
	}); 
});

// video popup jQuery
jQuery(document).ready(function( jQuery ) {
     	jQuery(".youtube-link").grtyoutube({
		autoPlay:true,
		theme: "dark"
	});
  }); 
  
 

jQuery(window).load(function(){
	jQuery( ".woocommerce ul.products li.product img").wrap("<div class='product-thumb'></div>" );
//	jQuery('.woocommerce ul.products li.product').find('.product-thumb').prepend('<i class="fas fa-eye fa-2x"></i>');
});



/* Start Counter */
function CountDownTimer(a,b){function i(){var a=new Date,i=c-a;if(i<0)return clearInterval(h),void(document.getElementById(b).innerHTML="EXPIRED!");var j=Math.floor(i/g),k=Math.floor(i%g/f),l=Math.floor(i%f/e),m=Math.floor(i%e/d);document.getElementById(b).innerHTML='<div class="counter-column">'+j+"<span>Days</span></div>",document.getElementById(b).innerHTML+='<div class="counter-column">'+k+"<span>HRS</span></div>",document.getElementById(b).innerHTML+='<div class="counter-column">'+l+"<span>Mins</span></div>",document.getElementById(b).innerHTML+='<div class="counter-column">'+m+"<span>Secs</span></div>"}var h,c=new Date(a),d=1e3,e=60*d,f=60*e,g=24*f;h=setInterval(i,1e3)}
/* End Counter */
